import { defHttp } from '/@/utils/http/axios';
enum Api {
  getIndexTop = '/index/top', // 首页顶部
  getIndexCountTop = '/index/countTop', // 地块总数Top10
  getIndexCountTypeStage = '/index/countTypeStage', // 各类型报告数量
  getIndexCountStage = '/index/countStage', // 各阶段地块数
  getIndexCountUser = '/index/countUser', // 30天内在线人数
  getPlotMessage = '/index/plotMessage', // 地块列表
}
export const getIndexTop = () => {
  return defHttp.get({ url: Api.getIndexTop });
};
export const getIndexCountTop = () => {
  return defHttp.get({ url: Api.getIndexCountTop });
};
export const getIndexCountTypeStage = () => {
  return defHttp.get({ url: Api.getIndexCountTypeStage });
};
export const getIndexCountStage = () => {
  return defHttp.get({ url: Api.getIndexCountStage });
};
export const getIndexCountUser = () => {
  return defHttp.get({ url: Api.getIndexCountUser });
};
export const getPlotMessage = (params) => {
  return defHttp.get({ url: Api.getPlotMessage, params });
};
